Index: branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/icestp.F90
===================================================================
--- branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/icestp.F90	(revision 8518)
+++ branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/icestp.F90	(revision 8531)
@@ -142,5 +142,5 @@
          ! --- ice dynamics and advection  --- !
          !-------------------------------------!
-         CALL ice_diag0             ! set diag of mass, heat and salt fluxes to 0
+         CALL diag_set0             ! set diag of mass, heat and salt fluxes to 0
          CALL ice_rst_opn( kt )     ! Open Ice restart file (if necessary) 
          !
@@ -243,5 +243,5 @@
       IF(lwm) CALL ctl_opn( numoni, 'output.namelist.ice', 'UNKNOWN', 'FORMATTED', 'SEQUENTIAL', -1, numout, lwp, 1 )
       !
-      CALL ice_run_init                ! set some ice run parameters
+      CALL par_init                ! set some ice run parameters
       !
       !                                ! Allocate the ice arrays (sbc_ice already allocated in sbc_init)
@@ -268,14 +268,12 @@
       CALL ice_var_glo2eqv
       !
+      CALL ice_forcing_init            ! set ice-ocean and ice-atm. coupling parameters
+      !
       IF( ln_icedyn ) THEN
          CALL ice_dyn_init             ! set ice dynamics parameters
-         CALL ice_rdgrft_init          ! set ice ridging/rafting parameters
-         CALL ice_rhg_init             ! set ice rheology parameters
-         CALL ice_adv_init             ! set ice advection parameters
       ENDIF
-
+      !
       IF( ln_icethd ) THEN
          CALL ice_thd_init             ! set ice thermodynics parameters
-         CALL ice_thd_sal_init         ! set ice salinity parameters
       ENDIF   
       !
@@ -299,40 +297,40 @@
 
 
-   SUBROUTINE ice_run_init
+   SUBROUTINE par_init
       !!-------------------------------------------------------------------
-      !!                  ***  ROUTINE ice_run_init ***
+      !!                  ***  ROUTINE par_init ***
       !!
       !! ** Purpose :   Definition some run parameter for ice model
       !!
-      !! ** Method  :   Read the namice_run namelist and check the parameter
+      !! ** Method  :   Read the nampar namelist and check the parameter
       !!                values called at the first timestep (nit000)
       !!
-      !! ** input   :   Namelist namice_run
+      !! ** input   :   Namelist nampar
       !!-------------------------------------------------------------------
       INTEGER  ::   ios                 ! Local integer output status for namelist read
-      NAMELIST/namice_run/ jpl, nlay_i, nlay_s, nn_monocat, ln_icedyn, ln_icethd, rn_amax_n, rn_amax_s,  &
-         &                 cn_icerst_in, cn_icerst_indir, cn_icerst_out, cn_icerst_outdir
+      NAMELIST/nampar/ jpl, nlay_i, nlay_s, nn_monocat, ln_icedyn, ln_icethd, rn_amax_n, rn_amax_s,  &
+         &             cn_icerst_in, cn_icerst_indir, cn_icerst_out, cn_icerst_outdir
       !!-------------------------------------------------------------------
       !
-      REWIND( numnam_ice_ref )      ! Namelist namice_run in reference namelist : Parameters for ice
-      READ  ( numnam_ice_ref, namice_run, IOSTAT = ios, ERR = 901)
-901   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namice_run in reference namelist', lwp )
-
-      REWIND( numnam_ice_cfg )      ! Namelist namice_run in configuration namelist : Parameters for ice
-      READ  ( numnam_ice_cfg, namice_run, IOSTAT = ios, ERR = 902 )
-902   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namice_run in configuration namelist', lwp )
-      IF(lwm) WRITE ( numoni, namice_run )
+      REWIND( numnam_ice_ref )      ! Namelist nampar in reference namelist : Parameters for ice
+      READ  ( numnam_ice_ref, nampar, IOSTAT = ios, ERR = 901)
+901   IF( ios /= 0 ) CALL ctl_nam ( ios , 'nampar in reference namelist', lwp )
+
+      REWIND( numnam_ice_cfg )      ! Namelist nampar in configuration namelist : Parameters for ice
+      READ  ( numnam_ice_cfg, nampar, IOSTAT = ios, ERR = 902 )
+902   IF( ios /= 0 ) CALL ctl_nam ( ios , 'nampar in configuration namelist', lwp )
+      IF(lwm) WRITE ( numoni, nampar )
       !
       IF(lwp) THEN                  ! control print
          WRITE(numout,*)
-         WRITE(numout,*) 'ice_run_init : ice share parameters for dynamics/advection/thermo of sea-ice'
-         WRITE(numout,*) ' ~~~~~~'
-         WRITE(numout,*) '   Namelist namice_run : '
+         WRITE(numout,*) 'par_init: ice parameters shared among all the routines'
+         WRITE(numout,*) ' ~~~~~~~'
+         WRITE(numout,*) '   Namelist nampar: '
          WRITE(numout,*) '      number of ice  categories                              jpl    = ', jpl
          WRITE(numout,*) '      number of ice  layers                                  nlay_i = ', nlay_i
          WRITE(numout,*) '      number of snow layers                                  nlay_s = ', nlay_s
          WRITE(numout,*) '      virtual ITD mono-category param (1-4) or not (0)   nn_monocat = ', nn_monocat
-         WRITE(numout,*) '      Ice dynamics       (T) or not (F)                  ln_icedyn  = ', ln_icedyn
-         WRITE(numout,*) '      Ice thermodynamics (T) or not (F)                  ln_icethd  = ', ln_icethd
+         WRITE(numout,*) '      Ice dynamics       (T) or not (F)                   ln_icedyn = ', ln_icedyn
+         WRITE(numout,*) '      Ice thermodynamics (T) or not (F)                   ln_icethd = ', ln_icethd
          WRITE(numout,*) '      maximum ice concentration for NH                              = ', rn_amax_n 
          WRITE(numout,*) '      maximum ice concentration for SH                              = ', rn_amax_s
@@ -346,8 +344,8 @@
       ENDIF
       IF ( jpl == 1 .AND. nn_monocat == 0 ) THEN
-         CALL ctl_stop( 'STOP', 'ice_run_init : if jpl=1 then nn_monocat should be between 1 and 4' )
+         CALL ctl_stop( 'STOP', 'par_init : if jpl=1 then nn_monocat should be between 1 and 4' )
       ENDIF
       !
-      IF( ln_bdy .AND. ln_icediachk )   CALL ctl_warn('ice_run_init: online conservation check does not work with BDY')
+      IF( ln_bdy .AND. ln_icediachk )   CALL ctl_warn('par_init: online conservation check does not work with BDY')
       !
       rdt_ice   = REAL(nn_fsbc) * rdt          !--- sea-ice timestep and inverse
@@ -358,5 +356,5 @@
       r1_nlay_s = 1._wp / REAL( nlay_s, wp )
       !
-   END SUBROUTINE ice_run_init
+   END SUBROUTINE par_init
 
 
@@ -393,7 +391,7 @@
 
 
-   SUBROUTINE ice_diag0
-      !!----------------------------------------------------------------------
-      !!                  ***  ROUTINE ice_diag0  ***
+   SUBROUTINE diag_set0
+      !!----------------------------------------------------------------------
+      !!                  ***  ROUTINE diag_set0  ***
       !!
       !! ** purpose :  set ice-ocean and ice-atm. fluxes to zeros at the beggining
@@ -442,5 +440,5 @@
       tau_icebfr(:,:) = 0._wp; ! landfast ice param only (clem: important to keep the init here)
       
-   END SUBROUTINE ice_diag0
+   END SUBROUTINE diag_set0
 
 #else
